import request from '@/utils/request'

// 查询问答列-问题列表
export function listQuestion(query) {
  return request({
    url: '/asking/question/list',
    method: 'get',
    params: query
  })
}

// 查询问答列-问题详细
export function getQuestion(id) {
  return request({
    url: '/asking/question/' + id,
    method: 'get'
  })
}

// 新增问答列-问题
export function addQuestion(data) {
  return request({
    url: '/asking/question',
    method: 'post',
    data: data
  })
}
// 新增问答列-答案
export function addAnswer(data) {
  return request({
    url: '/asking/answer',
    method: 'post',
    data: data
  })
}

// 修改问答列-问题
export function updateQuestion(data) {
  return request({
    url: '/asking/question',
    method: 'put',
    data: data
  })
}

//修改是否展示
export function updateWhetherShow(data) {
  return request({
    url: '/asking/question/updateWhetherShow',
    method: 'put',
    data: data
  })
}

// 删除问答列-问题
export function delQuestion(id) {
  return request({
    url: '/asking/question/' + id,
    method: 'delete'
  })
}

// 删除问答列-答案
export function delAnswer(id) {
  return request({
    url: '/asking/answer/' + id,
    method: 'delete'
  })
}

//查询类型配置
export function listType(query) {
  return request({
    url: '/asking/question/typeList',
    method: 'get',
    params: query
  })
}

// 审核
export function through(data) {
  return request({
    url: '/asking/question/through',
    method: 'put',
    data: data
  })
}
