import request from '@/utils/request'

// 查询类型配置列表
export function listType(query) {
  return request({
    url: '/JnbQuestionType/type/list',
    method: 'get',
    params: query
  })
}

// 查询类型配置详细
export function getType(id) {
  return request({
    url: '/JnbQuestionType/type/' + id,
    method: 'get'
  })
}

// 新增类型配置
export function addType(data) {
  return request({
    url: '/JnbQuestionType/type',
    method: 'post',
    data: data
  })
}

// 修改类型配置
export function updateType(data) {
  return request({
    url: '/JnbQuestionType/type',
    method: 'put',
    data: data
  })
}

// 删除类型配置
export function delType(id) {
  return request({
    url: '/JnbQuestionType/type/' + id,
    method: 'delete'
  })
}

// 修改是否展示
export function updateAskType(data) {
  return request({
    url: '/JnbQuestionType/type/updateAskType',
    method: 'put',
    data: data
  })
}
