import request from '@/utils/request'

// 查询供销合作社列表
export function listCooperative(query) {
  return request({
    url: '/high/server/cooperative/list',
    method: 'get',
    params: query
  })
}

// 查询供销合作社详细
export function getCooperative(id) {
  return request({
    url: '/high/server/cooperative/' + id,
    method: 'get'
  })
}

// 新增供销合作社
export function addCooperative(data) {
  return request({
    url: '/high/server/cooperative',
    method: 'post',
    data: data
  })
}

// 修改供销合作社
export function updateCooperative(data) {
  return request({
    url: '/high/server/cooperative',
    method: 'put',
    data: data
  })
}

// 删除供销合作社
export function delCooperative(id) {
  return request({
    url: '/high/server/cooperative/' + id,
    method: 'delete'
  })
}
