import request from '@/utils/request'

// 查询部门列表
export function listDepts(query) {
  return request({
    url: '/jnb/department/list',
    method: 'get',
    params: query
  })
}

// 查询部门详细
export function getDept(id) {
  return request({
    url: '/jnb/department/lists/' + id,
    method: 'get'
  })
}
// 新增部门
export function addDept(data) {
  return request({
    url: '/jnb/department/add',
    method: 'post',
    data: data
  })
}

// 修改部门
export function updateDept(data) {
  return request({
    url: '/jnb/department/update/',
    method: 'put',
    data: data
  })
}

// 删除部门
export function delDept(id) {
  return request({
    url: '/jnb/department/delete/' + id,
    method: 'delete'
  })}
