import request from '@/utils/request'

// 查询主题类型配置列表
export function listTopicType(query) {
  return request({
    url: '/jnb/topicType/list',
    method: 'get',
    params: query
  })
}

// 查询主题类型配置详细
export function getTopicType(id) {
  return request({
    url: '/jnb/topicType/' + id,
    method: 'get'
  })
}

// 新增主题类型配置
export function addTopicType(data) {
  return request({
    url: '/jnb/topicType',
    method: 'post',
    data: data
  })
}

// 修改主题类型配置
export function updateTopicType(data) {
  return request({
    url: '/jnb/topicType',
    method: 'put',
    data: data
  })
}

// 删除主题类型配置
export function delTopicType(id) {
  return request({
    url: '/jnb/topicType/' + id,
    method: 'delete'
  })
}
