import request from '@/utils/request'

// 查询高频服务列表
export function listServer(query) {
  return request({
    url: '/high/server/list',
    method: 'get',
    params: query
  })
}

// 查询高频服务详细
export function getServer(id,type) {
  return request({
    url: '/high/server/' + id + '/' + type,
    method: 'get'
  })
}

// 新增高频服务
export function addServer(data) {
  return request({
    url: '/high/server',
    method: 'post',
    data: data
  })
}

// 修改高频服务
export function updateServer(data) {
  return request({
    url: '/high/server',
    method: 'put',
    data: data
  })
}

// 删除高频服务
export function delServer(id,type) {
  return request({
    url: '/high/server/' + id + '/' + type,
    method: 'delete'
  })
}
