import request from '@/utils/request'

// 查询资讯列表
export function listServer(query) {
  return request({
    url: '/jnb/information/list',
    method: 'get',
    params: query
  })
}

// 查询资讯详细
export function getServer(id,type) {
  return request({
    url: '/jnb/information/' + id + '/' + type,
    method: 'get'
  })
}

// 新增资讯
export function addServer(data) {
  return request({
    url: '/jnb/information',
    method: 'post',
    data: data
  })
}

// 修改资讯
export function updateServer(data) {
  return request({
    url: '/jnb/information',
    method: 'put',
    data: data
  })
}

// 删除资讯
export function delServer(ids,type) {
  return request({
    url: '/jnb/information/' + ids + '/' + type,
    method: 'delete'
  })
}
