import request from '@/utils/request'

// 查询事项列表
export function listDept(query) {
  return request({
    url: '/jnb/matter/list',
    method: 'get',
    params: query
  })
}

// 查询事项详细
export function getDept(id) {
  return request({
    url: '/jnb/matter/lists/' + id,
    method: 'get'
  })
}

// 新增事项
export function addDept(data) {
  return request({
    url: '/jnb/matter/add',
    method: 'post',
    data: data
  })
}

// 修改事项
export function updateDept(data) {
  return request({
    url: '/jnb/matter/update/',
    method: 'put',
    data: data
  })
}

// 审核事项
export function examine(data) {
  return request({
    url: '/jnb/matter/examine/',
    method: 'put',
    data: data
  })
}

// 删除事项
export function delDept(id) {
  return request({
    url: '/jnb/matter/delete/' + id,
    method: 'delete'
  })}
