import request from '@/utils/request'

// 查询实名认证列表
export function listNameAuthentication(query) {
  return request({
    url: '/nameAuthentication/list',
    method: 'get',
    params: query
  })
}

// 查询实名认证详细
export function getNameAuthentication(id) {
  return request({
    url: '/nameAuthentication/' + id,
    method: 'get'
  })
}

// 新增实名认证
export function addNameAuthentication(data) {
  return request({
    url: '/nameAuthentication',
    method: 'post',
    data: data
  })
}

// 修改实名认证
export function updateNameAuthentication(data) {
  return request({
    url: '/nameAuthentication',
    method: 'put',
    data: data
  })
}

// 审核
export function through(data) {
  return request({
    url: '/nameAuthentication/through',
    method: 'put',
    data: data
  })
}

// 删除实名认证
export function delNameAuthentication(id) {
  return request({
    url: '/nameAuthentication/' + id,
    method: 'delete'
  })
}
