import request from '@/utils/request'

// 查询官方认证列表
export function listOfficialAuthentication(query) {
  return request({
    url: '/officialAuthentication/list',
    method: 'get',
    params: query
  })
}

// 查询官方认证详细
export function getOfficialAuthentication(id) {
  return request({
    url: '/officialAuthentication/' + id,
    method: 'get'
  })
}

// 新增官方认证
export function addOfficialAuthentication(data) {
  return request({
    url: '/officialAuthentication',
    method: 'post',
    data: data
  })
}

// 修改官方认证
export function updateOfficialAuthentication(data) {
  return request({
    url: '/officialAuthentication',
    method: 'put',
    data: data
  })
}

// 删除官方认证
export function delOfficialAuthentication(id) {
  return request({
    url: '/officialAuthentication/' + id,
    method: 'delete'
  })
}

// 审核
export function through(data) {
  return request({
    url: '/officialAuthentication/through',
    method: 'put',
    data: data
  })
}
