import request from '@/utils/request'

// 查询行情产品配置列表
export function listConfig(query) {
  return request({
    url: '/quotationsConfig/all',
    method: 'get',
    params: query
  })
}

// 查询行情产品配置详细
export function getConfig(id) {
  return request({
    url: '/quotationsConfig/' + id ,
    method: 'get'
  })
}

// 新增行情产品配置
export function addConfig(data) {
  return request({
    url: '/quotationsConfig',
    method: 'post',
    data: data
  })
}

// 修改行情产品配置
export function updateConfig(data) {
  return request({
    url: '/quotationsConfig',
    method: 'put',
    data: data
  })
}

// 删除行情产品配置
export function delConfig(id) {
  return request({
    url: '/quotationsConfig/' + id ,
    method: 'delete'
  })
}


