import request from '@/utils/request'

// 查询行情列表
export function listQuotations(query) {
  return request({
    url: '/quotations/list',
    method: 'get',
    params: query
  })
}

// 查询行情详细
export function getQuotations(id) {
  return request({
    url: '/quotations/' + id ,
    method: 'get'
  })
}

// 新增行情
export function addQuotations(data) {
  return request({
    url: '/quotations',
    method: 'post',
    data: data
  })
}

// 修改行情
export function updateQuotations(data) {
  return request({
    url: '/quotations',
    method: 'put',
    data: data
  })
}

// 删除行情
export function delQuotations(id) {
  return request({
    url: '/quotations/' + id ,
    method: 'delete'
  })
}

// 修改审核状态
export function updateStatus(data) {
  return request({
    url: '/quotations/status',
    method: 'post',
    data: data
  })
}


